Skip to Content
OpenRoam Docs
eSIMs

Get eSIM usage by day

Returns the current usage of an eSIM with a per-day breakdown.

GET
/v1/esims/{iccid}/usage/details

Returns the current usage of an eSIM with a per-day breakdown.

Returns the same summary as usage plus usages, the per-day consumption entries { date, usage, location } with the data used in MB and location null when no country was reported. usages is empty when the eSIM's plan does not report a per-day breakdown or it cannot be read.

Authorization

PartnerApiKey
headerX-Partner-Key<token>

Partner API Key (X-Partner-Key)

Path Parameters

iccid*string

The eSIM's ICCID, from the order item's fulfillment.result.details.iccid.

Response Body

OK

  1. response

An eSIM's current usage, as usage returns it, with a per-day breakdown.

iccid*string

The eSIM's ICCID.

esimStatus*string

The eSIM's lifecycle status, as the order item's esimStatus.

Value in"new""procuring""pending""failed""ready""cancelled""revoked""expired""unknown"
profileStatus*string

The installed profile's status, as the order item's profileStatus.

Value in"empty""new""downloaded""installed""activated""inactive""deleted""revoked""expired""unknown"
start?|

When the plan started, in UTC; null until it is activated.

Formatdate-time
end?|

When the plan ends, in UTC, as last reported; null while no end is reported.

Formatdate-time
allowedData?|

Total data in MB; null when unlimited or not reported.

Formatint64
remainingData?|

Remaining data in MB; null when unlimited or not reported.

Formatint64
isDataUnlimited*boolean

Whether the data is unlimited.

allowedSms?|

Total SMS, in messages; null when unlimited, not reported or not included.

Formatint64
remainingSms?|

Remaining SMS, in messages; null when unlimited, not reported or not included.

Formatint64
isSmsUnlimited*boolean

Whether SMS are unlimited.

allowedVoice?|

Total voice, in minutes; null when unlimited, not reported or not included.

Formatint64
remainingVoice?|

Remaining voice, in whole minutes; null when unlimited, not reported or not included.

Formatint64
isVoiceUnlimited*boolean

Whether voice is unlimited.

usages*array<>

Per-day usage, empty when the plan does not report a per-day breakdown.

Example Request
curl -X GET 'https://api.sandbox.openroam.com/v1/esims/8944501234567890123/usage/details'
Example Response
{  "iccid": "string",  "esimStatus": "new",  "profileStatus": "empty",  "start": "2019-08-24T14:15:22Z",  "end": "2019-08-24T14:15:22Z",  "allowedData": 0,  "remainingData": 0,  "isDataUnlimited": true,  "allowedSms": 0,  "remainingSms": 0,  "isSmsUnlimited": true,  "allowedVoice": 0,  "remainingVoice": 0,  "isVoiceUnlimited": true,  "usages": [    {      "date": "2019-08-24",      "start": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z",      "usage": 0,      "location": "string"    }  ]}